Public Member Functions | Data Fields

# SignalVariableCondition Class Reference
[Programmable Signals.]

A conditon based upon comparing a variable and a value. More...

`#include <programmable_signals.h>`

Inheritance diagram for SignalVariableCondition:

## Public Member Functions
| SignalVariableCondition (SignalConditionCode code)
virtual bool | Evaluate (SignalVM &vm)
## Data Fields
SignalComparator | comparator
uint32 | value

## Detailed Description

A conditon based upon comparing a variable and a value.

This condition can be considered similar to the conditonal jumps in vehicle orders.

The variable is specified by the conditon code, the comparison by `comparator`, and the value to compare against by `value`. The condition returns the result of that value.

Definition at line 193 of file programmable_signals.h.

The documentation for this class was generated from the following files:

- src/programmable_signals.h
- src/programmable_signals.cpp